public inbox for gentoo-dev@lists.gentoo.org
 help / color / mirror / Atom feed
From: Andreas Sturmlechner <asturm@gentoo.org>
To: gentoo-dev@lists.gentoo.org, office@gentoo.org
Subject: [gentoo-dev] [PATCH] office-ext-r1.eclass: Support EAPI-8
Date: Mon, 16 Dec 2024 23:09:56 +0100	[thread overview]
Message-ID: <13672688.uLZWGnKmhe@tuxbrain.fritz.box> (raw)

[-- Attachment #1: Type: text/plain, Size: 1950 bytes --]

---
 eclass/office-ext-r1.eclass | 28 +++++++++-------------------
 1 file changed, 9 insertions(+), 19 deletions(-)

diff --git a/eclass/office-ext-r1.eclass b/eclass/office-ext-r1.eclass
index 7e4d894483fe..9ee4561f0c11 100644
--- a/eclass/office-ext-r1.eclass
+++ b/eclass/office-ext-r1.eclass
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 # @ECLASS: office-ext-r1.eclass
@@ -6,13 +6,13 @@
 # The office team <office@gentoo.org>
 # @AUTHOR:
 # Tomáš Chvátal <scarabeus@gentoo.org>
-# @SUPPORTED_EAPIS: 7
+# @SUPPORTED_EAPIS: 7 8
 # @BLURB: Eclass for installing libreoffice extensions
 # @DESCRIPTION:
 # Eclass for easing maintenance of libreoffice extensions.
 
 case ${EAPI} in
-	7) ;;
+	7|8) ;;
 	*) die "${ECLASS}: EAPI ${EAPI:-0} not supported" ;;
 esac
 
@@ -70,11 +70,13 @@ fi
 # @CODE
 : "${OFFICE_EXTENSIONS_LOCATION:=${DISTDIR}}"
 
-IUSE=""
-RDEPEND=""
+# Most projects actually do not provide any relevant sourcedir as they are 
oxt.
+S="${WORKDIR}"
+
+IUSE="$(printf 'office_implementation_%s ' ${OFFICE_IMPLEMENTATIONS[@]})"
+REQUIRED_USE="|| ( $(printf 'office_implementation_%s ' $
{OFFICE_IMPLEMENTATIONS[@]}) )"
 
 for i in ${OFFICE_IMPLEMENTATIONS[@]}; do
-	IUSE+=" office_implementation_${i}"
 	if [[ ${i} == "libreoffice" ]]; then
 		RDEPEND+="
 			office_implementation_${i}? (
@@ -86,19 +88,7 @@ for i in ${OFFICE_IMPLEMENTATIONS[@]}; do
 		"
 	fi
 done
-
-REQUIRED_USE="|| ( "
-for i in ${OFFICE_IMPLEMENTATIONS[@]}; do
-	REQUIRED_USE+=" office_implementation_${i} "
-done
-REQUIRED_USE+=" )"
-
-DEPEND="${RDEPEND}
-	app-arch/unzip
-"
-
-# Most projects actually do not provide any relevant sourcedir as they are 
oxt.
-S="${WORKDIR}"
+BDEPEND="app-arch/unzip"
 
 # @FUNCTION: office-ext-r1_src_unpack
 # @DESCRIPTION:
-- 
2.47.1

[-- Attachment #2: This is a digitally signed message part. --]
[-- Type: application/pgp-signature, Size: 789 bytes --]

                 reply	other threads:[~2024-12-16 22:10 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=13672688.uLZWGnKmhe@tuxbrain.fritz.box \
    --to=asturm@gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    --cc=office@gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox